import 'package:be_happy/core/result.dart';
import 'package:be_happy/domain/entities/scooter_order.dart';
import '../repositories/scooter_repository.dart';

class FinishRideUsecase {
  final ScooterRepository repository;

  FinishRideUsecase(this.repository);

  Future<Result<ScooterOrder>> call(int orderId, List<int> files) {
    return repository.finishRide(orderId, files);
  }
}